> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/whats-new/2025/july-2025.md).

# July 2025

## Configurator/Room designer news

### Keyboard input features

Within Room Designer, it is possible to use commonly used keyboard input features, such as `Command + C` for `copying`, `Command + V` for `pasting`, `Command + V`for undo or `Backspace` for `deleting`.

You can also copy items from another room designer scene via those keys and paste them into your room designer scene. Also, it is possible to copy a product ID from the Rubens Admin portal and paste it into your Room Designer scene.

{% embed url="<https://www.roomle.com/t/cp/?configuratorId=mocdemo&id=ps_s06wb5essnwjmd6kh65ikserpvmoql1&api=false&catalogRootTag=rubens_room_demo_root>" %}

### New animation transformation functions <a href="#new-animation-transformation-functions" id="new-animation-transformation-functions"></a>

We implemented new animation transformation functions for our configurators `AnimatedMoveBy`, `AnimatedRotateBy`, `AnimatedScaleBy`: Unlike `` AnimationMatrixMoveBy` ``, `AnimationMatrixRotateBy` and `AnimationMatrixScaleBy` the operations `AnimatedMoveBy`, `AnimatedRotateBy`, `AnimatedScaleBy` consider the current transformation matrix of the object or group. This means that the animation is applied to the current transformation matrix of the object, which is then used to calculate the final position of the object in the scene. It is also possible to apply several consecutive animations to a geometry or mesh.\
Further details can be found in the documentation <https://docs.roomle.com/rubens/content-creation/roomlescript-reference/configuration-definition#animations-matrix>

Examples:

<https://www.roomle.com/t/cp/?id=roomle_script_documentation:animation-demo-window-item>

<https://www.roomle.com/t/cp/?id=roomle_script_documentation:animation-demo-cage-item>

{% file src="/files/RNWVRpgmWbb1A4DAXZct" %}

{% file src="/files/F6MPntb5p1oX20dWRJ7s" %}

### Freely definable dimensioning axes <a href="#freely-definable-dimensioning-axes" id="freely-definable-dimensioning-axes"></a>

In some cases, the default dimensioning axes ‘x’, ‘y’ and ‘z’ are not suitable for the component. For these cases, it is now possible to define custom axes for the dimensioning within your configurators using roomle script.

Further details can be found in the documentation: <https://docs.roomle.com/rubens/content-creation/roomlescript-reference/configuration-definition#dimensioning-axis>

examples:

<https://www.roomle.com/t/cp/?id=roomle_script_documentation:trapezoid-dimensioning_item>

![](https://2782441740-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FjLjPj3wCHnfCfuOYQpf4%2Fuploads%2Fgit-blob-47a3fdc5b18c803846b3c5ba50a5dea3da4958d7%2F5c89184d-ec7e-496b-8491-f1b5490ae858%20\(1\)%20\(1\).png?alt=media)

<https://www.roomle.com/t/cp/?id=roomle_script_documentation:curved-shelf-dimensioning-item>

![](https://2782441740-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FjLjPj3wCHnfCfuOYQpf4%2Fuploads%2Fgit-blob-0e2a471d91605f9449c30f2246dcf4cef410c04b%2F919086d5-9b61-4e52-ac62-1ae14edaa820%20\(1\).png?alt=media)\\


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.roomle.com/rubens/whats-new/2025/july-2025.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
